.sp-payment {
    background-color: #f8f8f8;
    margin-bottom: 15px;
    border: 1px solid #e6e6e6;
    box-shadow: 0 0 10px rgba(0, 0, 0, .05);
}

.sp-payment__title {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 20px;
    background-color: #eaeaea;
}

.sp-payment__title img {
    max-width: 100px;
    height: auto;
}

.sp-payment__title h3 {
    margin: 0;
    font-size: 20px;
}

.sp-payment__desc {
    margin: 0;
    padding: 15px 20px;
    font-size: 16px;
}

.sp-payment__desc p {
    margin-bottom: 10px;
}

.sp-payment__desc--order {
    padding: 0 20px;
}

.sp-payment__desc--amount {
    padding: 0 20px 10px;
}

.sp-payment-qr {
    display: flex;
    padding: 25px;
    align-items: center;
}

.sp-payment-qr__code {
    margin-right: 20px;
}

.sp-payment-qr__desc .sp-payment__desc {
    padding: 0 0 15px;
}

.sp-payment-qr__desc .sp-popup__button {
    display: inline-block;
    width: auto;
}

.sp-payment__form {
    margin-bottom: 0;
    padding: 0 20px 10px;
}

.sp-payment__submit {
    margin-right: 10px;
    margin-bottom: 10px;
}

.sp-popup {
    position: fixed;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .5);
    z-index: 9999999;
    padding: 5%;
}

.sp-popup__block {
    position: relative;
    background-color: white;
    width: 100%;
    max-width: 564px;
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    border-radius: 8px;
    padding: 20px;
    text-align: center;
}

.sp-popup__exit {
    position: absolute;
    top: 10px;
    right: 10px;
    width: 20px;
    height: 20px;
    line-height: 19px;
    text-align: center;
    color: #a2a2a2;
    background-color: #f5f5f5;
    -webkit-border-radius: 12px;
    -moz-border-radius: 12px;
    border-radius: 12px;
    font-size: 12px;
    font-family: 'Arial', serif;
    cursor: pointer;
    transition: .2s;
}

.sp-popup__exit:hover {
    background-color: #444444;
    color: white;
}

.sp-popup__title {
    text-align: center;
    padding-bottom: 15px;
    margin: 0;
    font-size: 24px;
    font-weight: 300;
}

.sp-popup__recipients {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 20px 0;
    border-top: 1px solid #efefef;
    border-bottom: 1px solid #efefef;
}

.sp-popup__recipient {
    padding: 10px 20px;
    border: 2px solid #efefef;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    cursor: pointer;
    margin: 5px;
}

.sp-popup__recipient--active {
    border: 2px solid #c69503;
}

.sp-popup__recipient img {
    max-width: 120px;
    height: auto;
}

.sp-popup__button {
    display: block;
    margin-top: 20px;
    text-align: center;
    width: 100%;
    padding: 7px 20px;
    background-color: #392764;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    color: white;
    transition: .5s;
    font-size: 16px;
    text-decoration: none;
}

.sp-popup__button:hover {
    background-color: #462771;
    color: white;
    text-decoration: none;
}

.sp-popup__button--qr {
    margin-top: 5px;
    background-color: #ff2323;
}

.sp-popup__button--qr:hover {
    background-color: #ff3842;
}

.sp-popup__button.sp-popup__button--disabled {
    cursor: default;
    background-color: #9e9e9e;
}

.sp-popup__button.sp-popup__button--error {
    background-color: #da0a0a;
}

.sp-popup__button.sp-popup__button--error:hover {
    background-color: #ec0d0d;
}

.sp-popup__button:link, .sp-popup__button:active, .sp-popup__button:focus {
    outline: none;
    color: white;
    text-decoration: none;
}

.sp-popup__vote {
    margin: 10px 0 -10px;
    text-align: center;
}

.sp-popup__desc {
    text-align: center;
    margin: 10px 0 0;
    font-size: 12px;
}

.sp-popup__vote a, .sp-popup__desc a {
    color: #392764;
    text-decoration: underline;
}

.sp-popup__vote a:hover, .sp-popup__desc a:hover {
    text-decoration: none;
}

.sp-popup__loader {
    display: flex;
    align-items: center;
    justify-content: center;
}

.sp-popup__loader img {
    max-height: 150px;
    width: auto;
}

.sp-popup__result img {
    display: inline-block;
    max-width: 90px;
    height: auto;
    margin: 13px 0;
}

.sp-popup__phone {
    padding: 10px;
    margin: 20px 0 0;
    background-color: rgba(255, 0, 0, 0.05);
    border-radius: 5px;
    border: 2px dashed red;
}

.sp-popup__phone input {
    display: inline-block;
    width: 100%;
    max-width: 200px;
    height: 34px;
    padding: 0 15px;
    text-align: center;
    border: 1px solid #ffb3b3;
    border-radius: 5px;
    font-size: 14px;
}

.sp-payment__invoice_end {
    font-weight: bold;
}

@media all and (max-width: 600px) {
    .sp-popup__block {
        overflow-y: scroll;
        max-height: 100%;

    }

    .sp-payment-qr {
        flex-wrap: wrap;
        text-align: center;
    }

    .sp-payment-qr__code {
        margin-right: 0;
        width: 100%;
    }

    .sp-payment-qr__desc {
        text-align: center;
        margin-top: 20px;
    }
}